Loading...
Searching...
No Matches
view_or_value.hpp File Reference

## Description

Provides bsoncxx::v_noabi::array::view_or_value.

Go to the source code of this file.

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::array
| Declares entities representing a BSON array.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::array
| Declares entities representing a BSON array.

## Typedefs

using | bsoncxx::array::view_or_value
| Equivalent to v_noabi::view_or_value<v_noabi::array::view, v_noabi::array::value>.
using | bsoncxx::v_noabi::array::view_or_value = v_noabi::view_or_value<view, value>
| Equivalent to v_noabi::view_or_value<v_noabi::array::view, v_noabi::array::value>.